2011.02
08

AjaxmailのIEエラーについて メモ


Ajaxmailを使用するとき、IEでスクリプトエラーが出て困った。
 
■助けてもらったサイト。
[Mi]みたいなもの
【AjaxMail】フリーのPHPメールフォームを設置してみた
 
まず入力チェックのjsが問題児だったのでこれを消去。
「[Mi]みたいなもの」さんが言うには「4行目を削除することで、エラーは表示されなくなる」ということだったが、またエラーが起こるのが嫌で全て消去した。
かわりに前から使っていた手製の入力チェックを使用。
 
これでできるかな?と思いきやIE8のみエラー。
どうにかなんないかなと考えていると、IE8のレンダリング・モードを強制的にIE7互換モードにするmetaタグを発見。
<meta http-equiv=”X-UA-Compatible” content=”IE=emulateIE7″ />
ありがたい。
 
 
とりあえずこれでAjaxmailが使用できるようになった。

ホームページを持ちたいあなたへ フリーランスという選択肢はいかがでしょう?

ページトップへ戻る